Package org.jcsp.net

# Interface NetSharedChannelOutput

All Superinterfaces:
  `ChannelOutput`, `NetChannelOutput`, `Networked`, `Poisonable`, `SharedChannelOutput`

public interface NetSharedChannelOutput extends NetChannelOutput, SharedChannelOutput
This interface should be implemented by classes that wish to act as `NetChannelOutput` objects which can be used by muliple concurrent processes.

Author:
  Quickstone Technologies Limited

## Method Summary

### Methods inherited from interface org.jcsp.lang.ChannelOutput

`write`

### Methods inherited from interface org.jcsp.net.NetChannelOutput

`destroyWriter, getFactoryClass, recreate, recreate`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`